-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Slovak TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Laura"
language = "Slovak"
marc_code = "slo"
language_id = "26"
id = "26002"
config_file = "slovak_tts/config_tts.lua"
audio_files_path = "slovak_tts/slovak_tts"
rulesets_file = "slovak_tts/slovak_tts/rules_sks.txt"
userdictionary_file = "slovak_tts/slovak_tts/udct_sks.dat"
apdb = "apdb/laura/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "dorazíte do cieľa",                             -- You will reach your destination
    ["STOPOVER"] = "dorazíte do medzicieľa",                   -- You will reach a stopover
    ["JUNCTION"] = nil,                                        -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                   -- the junction
    ["ROUNDABOUT"] = "opustite kruhový objazd",                -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "použite výjazd",                    -- použite výjazd
    ["UTURN"] = "sa otočte",                                   -- Make a uturn
    ["ENTER_HIGHWAY"] = "vyjdite na diaľnicu",
    ["LEAVE_HIGHWAY"] = "použite výjazd",                                -- použite výjazd
    ["CONTINUE_HIGHWAY"] = "použite výjazd",                             -- due to specifications ("použite výjazd")
    ["ENTER_URBAN_HIGHWAY"] = "vyjdite na diaľnicu",
    ["LEAVE_URBAN_HIGHWAY"] = "použite výjazd",                          -- použite výjazd
    ["CONTINUE_URBAN_HIGHWAY"] = "vyjdite na diaľnicu",
    ["DRIVE_TO_NEAREST_ROAD"] = "Vyjdite na najbližšiu cestu",           -- Vyjdite na najbližšiu cestu 
    ["FERRY"] = "sa naloďte na trajekt"
}

maneuver_turns_car = {
    ["NO_TURN"] = "pokračujte v jazde priamo",
    ["KEEP_MIDDLE"] = "sa zaraďte do stredného jazdného pruhu",
    ["KEEP_RIGHT"] = "sa držte vpravo",
    ["LIGHT_RIGHT"] = "odbočte mierne doprava",
    ["QUITE_RIGHT"] = "odbočte doprava",
    ["HEAVY_RIGHT"] = "odbočte prudko doprava",
    ["RETURN"] = "sa otočte",
    ["HEAVY_LEFT"] = "odbočte prudko doľava",
    ["QUITE_LEFT"] = "odbočte doľava",
    ["LIGHT_LEFT"] = "odbočte mierne doľava",
    ["KEEP_LEFT"] = "sa držte vľavo",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "pokračujte v jazde priamo",
    ["KEEP_MIDDLE"] = "pokračujte v jazde priamo",
    ["KEEP_RIGHT"] = "pokračujte ulicou vpravo",
    ["LIGHT_RIGHT"] = "odbočte mierne doprava",
    ["QUITE_RIGHT"] = "odbočte doprava",
    ["HEAVY_RIGHT"] = "odbočte prudko doprava",
    ["RETURN"] = "sa otočte",
    ["HEAVY_LEFT"] = "odbočte prudko doľava",
    ["QUITE_LEFT"] = "odbočte doľava",
    ["LIGHT_LEFT"] = "odbočte mierne doľava",
    ["KEEP_LEFT"] = "pokračujte ulicou vľavo",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "prejdite cez budovu ",
    ["SQUARE"] = "prejdite cez námestie",
    ["PARK"] = "prejdite cez park",
    ["STAIRS"] = "použite schody",
    ["ELEVATOR"] = "použite výťah",
    ["ESCALATOR"] = "použite schody"
}

final_command = {
    ["END"] = "Dorazili ste do cieľa",                  -- You have reached your destination
    ["STOPOVER"] = "Dorazili ste do medzicieľa"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"na prvom výjazde", "odbočte na prvej ulici"},                      -- take the first exit
    [2] = {"na druhom výjazde", "odbočte na druhej ulici"},           -- take the second exit
    [3] = {"na treťom výjazde", "odbočte na tretej ulici"},                   -- take the third exit
    [4] = {"na štvrtom výjazde", "odbočte na štvrtej ulici"},                -- take the fourth exit
    [5] = {"na piatom výjazde", "odbočte na piatej ulici"},                      -- take the fifth exit
    [6] = {"na šiestom výjazde", "odbočte na šiestej ulici"},                  -- take the sixth exit
    [7] = {"na siedmom výjazde", "odbočte na siedmomej ulici"},          -- take the seventh exit
    [8] = {"na ôsmom výjazde", "odbočte na ôsmomej ulici"},              -- take the eighth exit
    [9] = {"na deviatom výjazde", "odbočte na deviatomej ulici"},                  -- take the ninth exit
    [10] = {"na desiatom výjazde", "odbočte na desiatomej ulici"},                -- take the tenth exit
    [11] = {"na jedenástom výjazde", "odbočte na jedenástomej ulici"},       -- take the eleventh exit
    [12] = {"na dvanástom výjazde", "odbočte na dvanástomej ulici"}             -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "míli",
    ["YARDS"] = "yardoch",
    ["KILOMETER"] = "kilometri",
    ["METERS"] = "metroch",
    ["METER"] = "metroch",
    ["KILOMETERS"] = "kilometroch",
    ["MILES"] = "míľach",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "na sever",
    ["NORTH_EAST"] = "na severovýchod",
    ["EAST"] = "na východ",
    ["SOUTH_EAST"] = "na juhovýchod",
    ["SOUTH"] = "na juh",
    ["SOUTH_WEST"] = "na juhozápad",
    ["WEST"] = "na západ",
    ["NORTH_WEST"] = "na severozápad"
}

misc = { 
    ["gps_signal_lost_wav"] = "Strata spojenia s GPS",
    ["gps_signal_restored_wav"] = "Spojenie s GPS opäť nadviazané",
 --   ["no_gps_signal_wav"] = "Nebol nájdený žiadny GPS signál",
    ["route_recalculation_wav"] = "Prepočítavanie trasy",
    ["now_wav"] = "Teraz",
    ["end_of_street_wav"] = "Na konci cesty",
    ["follow_motorway_wav"] = "Pokračujte po diaľnici ešte",
    ["follow_road_wav"] = "Pokračujte v jazde po ceste ešte",
    ["for_wav"] = nil,
    ["after_wav"] = "Po",
    ["after_the_junction_wav"] = "Za križovatkou",
    ["half_a_mile_wav"] = "pol míli",
    ["quarter_a_mile_wav"] = "štvrť míli",
    ["three_quarter_of_mile_wav"] = "three quarters of a mile",
    ["kilometre_wav"] = "kilometre",
    ["mile_wav"] = "míle",
    ["kilometrov_wav"] = "kilometrov",
    ["mil_wav"] = "míľ",
    ["immediately_wav"] = "ihneď",
    ["safety_camara_ahead_wav"] = "Blížite sa k bezpečnostnej kamere",
    --["over_speed_limit_wav"] = "Dávajte pozor na maximálnu povolenú rýchlosť",
    ["traffic_automatic_detour_wav"] = "Hustá premávka na trase, obchádzka",
    ["traffic_manual_detour_wav"] = "Hustá premávka na trase, želáte si ju obísť?",
    ["no_detour_possible"] = "Hustú premávku nie je možné obísť",
    ["and_wav"] = "a",
    ["and_then_wav"] = "a potom",
    ["and_continue_on_wav"] = "a pokračujte na",
    ["towards_wav"] = "smerom na",
    ["turn_wav"] = "odbočte",
    ["onto_wav"] = "na",
    ["exit_wav"] = "použite výjazd",
    ["second_right_wav"] = "odbočte na druhej doprava",
    ["second_left_wav"] = "odbočte na druhej doľava",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "choďte vľavo popri kruhovom objazde",
    ["walk_right_roundabout_wav"] = "choďte vpravo popri kruhovom objazde",
    ["walk_roundabout_wav"] = "Obíďte kruhový objazd",
    ["head_wav"] = "Smerujte",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "na",
    ["the_footpath_wav"] = "cestu"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


